Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.accessibility
Interface Accessible

All Known Implementing Classes:
  Button, Canvas, Checkbox, CheckboxMenuItem, Choice, Label, List, List.AccessibleAWTList.AccessibleAWTListChild, Menu, MenuBar, MenuItem, Panel, Scrollbar, ScrollPane, TextComponent, Window, JTextComponent, JViewport, JTabbedPane, JMenuItem, JCheckBoxMenuItem, JLayeredPane, JToggleButton, JCheckBox, JOptionPane, JMenu, JColorChooser, JButton, JPopupMenu, JSeparator, JWindow, JApplet, JComboBox, JList, JList.AccessibleJList.AccessibleJListChild, JToolTip, CellRendererPane, JInternalFrame, JInternalFrame.JDesktopIcon, JPanel, JFrame, JSplitPane, JTree, JTree.AccessibleJTree.AccessibleJTreeNode, JTable, JTable.AccessibleJTable.AccessibleJTableCell, JLabel, JFileChooser, JDesktopPane, JRadioButton, JToolBar, JMenuBar, ImageIcon, JRadioButtonMenuItem, Box, Box.Filler, JScrollPane, JScrollBar, JProgressBar, JRootPane, JDialog, JSlider, JTableHeader, JTableHeader.AccessibleJTableHeader.AccessibleJTableHeaderEntry

public interface Accessible

Interface Accessible is the main interface for the accessibility package. All components that support the accessibility package must implement this interface. It contains a single method, `getAccessibleContext()`, which returns an instance of the class `AccessibleContext`.

Method Summary
`AccessibleContext` | `getAccessibleContext()` Returns the AccessibleContext associated with this object.

Method Detail

### getAccessibleContext

    public AccessibleContext getAccessibleContext()

  Returns the AccessibleContext associated with this object. In most cases, the return value should not be null if the object implements interface Accessible. If a component developer creates a subclass of an object that implements Accessible, and that subclass is not Accessible, the developer should override the getAccessibleContext method to return null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.